Newer Version Available
Dynamic Send Survey Invitation Actions
Send customized notifications to users about important events or
updates to the records that they’re working on. For example, notify account owners when
a case is created.
This action is available in API version 51.0 and later.
Special Access Rules
To access the Dynamic Send Survey Invitation action, you must have the Feedback Management Survey Response Pack and the Salesforce org enabled with Surveys.
Supported REST HTTP Methods
- URI
-
Get the list of invocable actions for each available survey.
/services/data/v51.0/actions/custom/dynamicSendSurveyInvitationSend survey invitation by email by using the invocable action.
/services/data/v51.0/actions/custom/dynamicSendSurveyInvitation/{surveyName} - Formats
- JSON, XML
- HTTP Methods
- GET, HEAD, POST
- Authentication
- Authorization: Bearer token
Inputs
| Input | Details |
|---|---|
| anonymousResponse |
|
| autoExpiryDays |
|
| emailTemplateName |
|
| isUnauthenticatedResponse |
|
| personalInvitation |
|
| recipient |
|
| recipientType |
|
| surveyQuestionName |
|
| surveySubjectEntity |
|
Outputs
None.
Example
- GET
-
This example shows how to get information about the Dynamic Send Survey Invitation action type.
1curl --include --request GET \ 2--header "Authorization: Authorization: Bearer 00DR...xyz" \ 3--header "Content-Type: application/json" \ 4"https://instance.salesforce.com/services/data/v51.0/actions/custom/dynamicSendSurveyInvitation"Here’s a response that returns the list of invocable actions for each survey.1{ 2 "actions" : [ { 3 "label" : "flowsend", 4 "name" : "flowsend", 5 "type" : "SEND_SURVEY_DYNAMIC_INVOCABLE_ACTION", 6 "url" : "/services/data/v51.0/actions/custom/dynamicSendSurveyInvitation/flowsend" 7 }, { 8 "label" : "survey2", 9 "name" : "survey2", 10 "type" : "SEND_SURVEY_DYNAMIC_INVOCABLE_ACTION", 11 "url" : "/services/data/v51.0/actions/custom/dynamicSendSurveyInvitation/survey2" 12 }, { 13 "label" : "survey", 14 "name" : "survey", 15 "type" : "SEND_SURVEY_DYNAMIC_INVOCABLE_ACTION", 16 "url" : "/services/data/v51.0/actions/custom/dynamicSendSurveyInvitation/survey" 17 } ] 18} - POST
-
Here’s a request for the Dynamic Send Survey Invitation action.
1{ 2 "inputs":[{ 3 "recipient" : "003xx000004WpemAAC", 4 “isUnauthenticatedResponse” : false, 5 "autoExpiryDays" : 6 6 }] 7}Here’s a response for the Dynamic Send Survey Invitation action.1[ 2 { 3 "actionName" : "survey", 4 "errors" : null, 5 "isSuccess" : true, 6 "outputValues" : null 7 } 8]